Bug 154894 - Tabbar text doesn't use text color that was set with setTabTextColor (Oxygen style)
Summary: Tabbar text doesn't use text color that was set with setTabTextColor (Oxygen ...
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kstyle (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Maksim Orlovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-31 12:36 UTC by Roman Jarosz
Modified: 2008-01-20 23:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of oxygen tab text color bug (4.36 KB, image/png)
2007-12-31 12:45 UTC, Roman Jarosz
Details
patch (729 bytes, patch)
2008-01-02 17:44 UTC, Maksim Orlovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Jarosz 2007-12-31 12:36:51 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc 4.2.2. 
OS:                Linux

As the title says the setTabTextColor isn't painted with Oxygen style, Plastic works

Below is qt app that shows the bug. I'll post screenshots too.

#include <QtCore>
#include <QtGui>

int main(int argc, char *argv[])
{
        QApplication app(argc, argv);

        QTabBar edit;
        edit.addTab("xxx");
        edit.addTab("yy");
        edit.setTabTextColor(0, Qt::red);
        edit.show();
        return app.exec();
}
Comment 1 Roman Jarosz 2007-12-31 12:45:23 UTC
Created attachment 22779 [details]
Screenshot of oxygen tab text color bug

On the left side is window with plastique style and on the right side with
oxygen style.
Comment 2 Maksim Orlovich 2008-01-02 17:44:08 UTC
Created attachment 22800 [details]
patch

this should fix it.... Can't commit ATM, though
Comment 3 Roman Jarosz 2008-01-15 17:28:35 UTC
I've tested it, and it works great.

Can you commit it?
Comment 4 Maksim Orlovich 2008-01-20 23:12:57 UTC
SVN commit 764063 by orlovich:

Honor tab text color
BUG:154894


 M  +3 -0      kstyle.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=764063